### Enumeration

# GObject TypeDebugFlags

deprecated: 2.36

#### Declaration

    flags GObject.TypeDebugFlags

#### Description [src]

These flags used to be passed to `g_type_init_with_debug_flags()` which is now deprecated.

If you need to enable debugging features, use the `GOBJECT_DEBUG` environment variable.

Deprecated since: 2.36

G_type_init() is now done automatically.

#### Members

Name | Description
--- | ---
`G_TYPE_DEBUG_NONE` | Print no messages.
`G_TYPE_DEBUG_OBJECTS` | Print messages about object bookkeeping.
`G_TYPE_DEBUG_SIGNALS` | Print messages about signal emissions.
`G_TYPE_DEBUG_INSTANCE_COUNT` | Keep a count of instances of each type.
`G_TYPE_DEBUG_MASK` | Mask covering all debug flags.